﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using StructureMap.Configuration.DSL;
using StructureMap;
using myFinance.Domain.LinqToSql;
using StructureMap.Attributes;

namespace myFinance.Domain {
    public class DBServiceRegistry:Registry {

        protected override void configure() {

            ForRequestedType<myFinanceDataContext>()
                .TheDefaultIs(() => new myFinanceDataContext())
                .CacheBy(InstanceScope.Hybrid);

        }
    }
}
